Class | SOAP::SOAPEnvelope
In: | soap/element.rb
Parent: | XSD::NSDBase

### Methods

body= encode header= new to_ary

### Included Modules

SOAPEnvelopeElement SOAPCompoundtype

### Attributes

body | [R] |
external_content | [R] |
header | [R] |

### Public Class methods

new(header = nil, body = nil)

[Source]

    # File soap/element.rb, line 219
      def initialize(header = nil, body = nil)
        super()
        @type = nil
        @elename = EleEnvelopeName
        @encodingstyle = nil
        @header = header
        @body = body
        @external_content = {}
        header.parent = self if header
        body.parent = self if body
      end

### Public Instance methods

body=(body)

[Source]

    # File soap/element.rb, line 236
      def body=(body)
        body.parent = self
        @body = body
      end

encode(generator, ns, attrs = {}) {|@header| ...}

[Source]

    # File soap/element.rb, line 241
      def encode(generator, ns, attrs = {})
        SOAPGenerator.assign_ns(attrs, ns, elename.namespace, SOAPNamespaceTag)
        name = ns.name(@elename)
        generator.encode_tag(name, attrs)

        yield(@header) if @header and @header.length > 0
        yield(@body)

        generator.encode_tag_end(name, true)
      end

header=(header)

[Source]

    # File soap/element.rb, line 231
      def header=(header)
        header.parent = self
        @header = header
      end

to_ary()

[Source]

    # File soap/element.rb, line 252
      def to_ary
        [header, body]
      end

[Validate]